summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEmil Velikov <emil.l.velikov@gmail.com>2015-03-09 11:57:40 +0000
committerAdam Jackson <ajax@redhat.com>2015-09-22 08:46:52 -0400
commit42240dcbbce8ec744401d4a464f71c3fbd3fca1b (patch)
tree96ca950de646a6b3e89e71d7d26d61004ad7249d
parente99c005d623a74287bbfafffc0c7040c31cdb01f (diff)
downloadxorg-lib-libpciaccess-42240dcbbce8ec744401d4a464f71c3fbd3fca1b.tar.gz
autogen.sh: pass --force to autoreconf, quote string variables
By passing --force autoreconf will update all the aux files, which would otherwise be ignored if one updates autoconf/automake. Quote the $srcdir, $ORIGDIR and $0 variables to prevent fall-outs, when it contains space. v2: Also handle $srcdir and $0. Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
-rwxr-xr-xautogen.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/autogen.sh b/autogen.sh
index fc34bd5..81e182d 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -6,8 +6,8 @@ test -z "$srcdir" && srcdir=.
ORIGDIR=`pwd`
cd $srcdir
-autoreconf -v --install || exit 1
-cd $ORIGDIR || exit $?
+autoreconf --force --verbose --install || exit 1
+cd "$ORIGDIR" || exit $?
if test -z "$NOCONFIGURE"; then
$srcdir/configure "$@"